// MultiRecsView.h : interface of the CMultiRecsView class
//


#pragma once


class CMultiRecsView : public CView
{
protected: // create from serialization only
	CMultiRecsView();
	DECLARE_DYNCREATE(CMultiRecsView)

// Attributes
public:
	CMultiRecsDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CMultiRecsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in MultiRecsView.cpp
inline CMultiRecsDoc* CMultiRecsView::GetDocument() const
   { return reinterpret_cast<CMultiRecsDoc*>(m_pDocument); }
#endif

