// MultiEllipseView.cpp : implementation of the CMultiEllipseView class
//

#include "stdafx.h"
#include "MultiRecs.h"

#include "MultiRecsDoc.h"
#include "MultiEllipseView.h"
#include ".\multiEllipseView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMultiEllipseView

IMPLEMENT_DYNCREATE(CMultiEllipseView, CView)

BEGIN_MESSAGE_MAP(CMultiEllipseView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_LBUTTONDOWN()
END_MESSAGE_MAP()

// CMultiEllipseView construction/destruction

CMultiEllipseView::CMultiEllipseView()
{
	// TODO: add construction code here

}

CMultiEllipseView::~CMultiEllipseView()
{
}

BOOL CMultiEllipseView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CMultiEllipseView drawing

void CMultiEllipseView::OnDraw(CDC* pDC)
{
	CMultiRecsDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: add draw code for native data here
	for (int i=0; i < pDoc->m_nIndex; i++) {
		pDC->Ellipse(CRect(pDoc->GetPoint(i), CSize(20,20)));
	}
}


// CMultiEllipseView printing

BOOL CMultiEllipseView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CMultiEllipseView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CMultiEllipseView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CMultiEllipseView diagnostics

#ifdef _DEBUG
void CMultiEllipseView::AssertValid() const
{
	CView::AssertValid();
}

void CMultiEllipseView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMultiRecsDoc* CMultiEllipseView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMultiRecsDoc)));
	return (CMultiRecsDoc*)m_pDocument;
}
#endif //_DEBUG


// CMultiEllipseView message handlers

void CMultiEllipseView::OnLButtonDown(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
	GetDocument()->AddPoint(point);
	//Invalidate();
}
