// MultiRecsDoc.h : interface of the CMultiRecsDoc class
//


#pragma once

class CMultiRecsDoc : public CDocument
{
protected: // create from serialization only
	CMultiRecsDoc();
	DECLARE_DYNCREATE(CMultiRecsDoc)

// Attributes
public:
	CPoint m_points[100];
	int m_nIndex;

// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CMultiRecsDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	virtual void DeleteContents();
	CPoint GetPoint(int nIndex);
	bool SetPoint(int nIndex, CPoint point);
	bool AddPoint(CPoint point);
};


