// MultiRecsView.cpp : implementation of the CMultiRecsView class
//

#include "stdafx.h"
#include "MultiRecs.h"

#include "MultiRecsDoc.h"
#include "MultiRecsView.h"
#include ".\multirecsview.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMultiRecsView

IMPLEMENT_DYNCREATE(CMultiRecsView, CView)

BEGIN_MESSAGE_MAP(CMultiRecsView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_LBUTTONDOWN()
END_MESSAGE_MAP()

// CMultiRecsView construction/destruction

CMultiRecsView::CMultiRecsView()
{
	// TODO: add construction code here

}

CMultiRecsView::~CMultiRecsView()
{
}

BOOL CMultiRecsView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CMultiRecsView drawing

void CMultiRecsView::OnDraw(CDC* pDC)
{
	CMultiRecsDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: add draw code for native data here
	for (int i=0; i < pDoc->m_nIndex; i++) {
		pDC->Rectangle(CRect(pDoc->GetPoint(i), CSize(20,20)));
	}
}


// CMultiRecsView printing

BOOL CMultiRecsView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CMultiRecsView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CMultiRecsView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CMultiRecsView diagnostics

#ifdef _DEBUG
void CMultiRecsView::AssertValid() const
{
	CView::AssertValid();
}

void CMultiRecsView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMultiRecsDoc* CMultiRecsView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMultiRecsDoc)));
	return (CMultiRecsDoc*)m_pDocument;
}
#endif //_DEBUG


// CMultiRecsView message handlers

void CMultiRecsView::OnLButtonDown(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
	GetDocument()->AddPoint(point);
	Invalidate();
}
